PathConvert (Apache Ant API)
Date: 2016-08-23

org.apache.tools.ant.taskdefs

## Class PathConvert

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.PathConvert

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PathConvert
      extends Task

  Converts path and classpath information to a specific target OS format. The resulting formatted path is placed into the specified property.
  Since:
    Ant 1.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PathConvert.MapEntry` Helper class, holds the nested <map> values.
    `static class` | `PathConvert.TargetOs` An enumeration of supported targets: "windows", "unix", "netware", and "os/2".

  - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathConvert()` Construct a new instance of the PathConvert task.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(FileNameMapper fileNameMapper)` Add a nested filenamemapper.
    `void` | `add(ResourceCollection rc)` Add an arbitrary ResourceCollection.
    `void` | `addMapper(Mapper mapper)` Add a mapper to convert the file names.
    `PathConvert.MapEntry` | `createMap()` Create a nested MAP element.
    `Path` | `createPath()` Create a nested path element.
    `void` | `execute()` Do the execution.
    `boolean` | `isPreserveDuplicates()` Get the preserveDuplicates.
    `boolean` | `isReference()` Learn whether the refid attribute of this element been set.
    `void` | `setDirSep(java.lang.String sep)` Set the default directory separator string; defaults to current JVM `File.separator`.
    `void` | `setPathSep(java.lang.String sep)` Set the default path separator string; defaults to current JVM `File.pathSeparator`.
    `void` | `setPreserveDuplicates(boolean preserveDuplicates)` Set the preserveDuplicates.
    `void` | `setProperty(java.lang.String p)` Set the name of the property into which the converted path will be placed.
    `void` | `setRefid(Reference r)` Add a reference to a Path, FileSet, DirSet, or FileList defined elsewhere.
    `void` | `setSetonempty(boolean setonempty)` Set whether the specified property will be set if the result is the empty string.
    `void` | `setTargetos(PathConvert.TargetOs target)` Set targetos to a platform to one of "windows", "unix", "netware", or "os/2"; current platform settings are used by default.
    `void` | `setTargetos(java.lang.String target)` Deprecated. since 1.5.x. Use the method taking a TargetOs argument instead.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathConvert

          public PathConvert()

      Construct a new instance of the PathConvert task.

  - ### Method Detail

    - #### createPath

          public Path createPath()

      Create a nested path element.
      Returns:
        a Path to be used by Ant reflection.

    - #### add

          public void add(ResourceCollection rc)

      Add an arbitrary ResourceCollection.
      Parameters:
        `rc` - the ResourceCollection to add.
      Since:
        Ant 1.7

    - #### createMap

          public PathConvert.MapEntry createMap()

      Create a nested MAP element.
      Returns:
        a Map to configure.

    - #### setTargetos

          @Deprecated
          public void setTargetos(java.lang.String target)

      Deprecated. since 1.5.x. Use the method taking a TargetOs argument instead.
      Set targetos to a platform to one of "windows", "unix", "netware", or "os/2"; current platform settings are used by default.
      Parameters:
        `target` - the target os.
      See Also:
        `setTargetos(PathConvert.TargetOs)`

    - #### setTargetos

          public void setTargetos(PathConvert.TargetOs target)

      Set targetos to a platform to one of "windows", "unix", "netware", or "os/2"; current platform settings are used by default.
      Parameters:
        `target` - the target os
      Since:
        Ant 1.5

    - #### setSetonempty

          public void setSetonempty(boolean setonempty)

      Set whether the specified property will be set if the result is the empty string.
      Parameters:
        `setonempty` - true or false.
      Since:
        Ant 1.5

    - #### setProperty

          public void setProperty(java.lang.String p)

      Set the name of the property into which the converted path will be placed.
      Parameters:
        `p` - the property name.

    - #### setRefid

          public void setRefid(Reference r)

      Add a reference to a Path, FileSet, DirSet, or FileList defined elsewhere.
      Parameters:
        `r` - the reference to a path, fileset, dirset or filelist.

    - #### setPathSep

          public void setPathSep(java.lang.String sep)

      Set the default path separator string; defaults to current JVM `File.pathSeparator`.
      Parameters:
        `sep` - path separator string.

    - #### setDirSep

          public void setDirSep(java.lang.String sep)

      Set the default directory separator string; defaults to current JVM `File.separator`.
      Parameters:
        `sep` - directory separator string.

    - #### setPreserveDuplicates

          public void setPreserveDuplicates(boolean preserveDuplicates)

      Set the preserveDuplicates.
      Parameters:
        `preserveDuplicates` - the boolean to set
      Since:
        Ant 1.8

    - #### isPreserveDuplicates

          public boolean isPreserveDuplicates()

      Get the preserveDuplicates.
      Returns:
        boolean
      Since:
        Ant 1.8

    - #### isReference

          public boolean isReference()

      Learn whether the refid attribute of this element been set.
      Returns:
        true if refid is valid.

    - #### execute

          public void execute()
                       throws BuildException

      Do the execution.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if something is invalid.

    - #### addMapper

          public void addMapper(Mapper mapper)

      Add a mapper to convert the file names.
      Parameters:
        `mapper` - a `Mapper` value.

    - #### add

          public void add(FileNameMapper fileNameMapper)

      Add a nested filenamemapper.
      Parameters:
        `fileNameMapper` - the mapper to add.
      Since:
        Ant 1.6.3